"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.jsonSchema = exports.jsonArray = exports.jsonObject = exports.jsonRoot = void 0;
// Adding this unused import makes the generated d.ts file produced by TypeScript stop breaking API-Extractor's rollup generation.
// Without this import, TypeScript generates inline `import("../..")` statements in the d.ts file,
// which API-Extractor leaves as is when generating the rollup, leaving them pointing at the wrong directory.
// API-Extractor issue: https://github.com/microsoft/rushstack/issues/4507
// eslint-disable-next-line @typescript-eslint/no-unused-vars, unused-imports/no-unused-imports
const index_js_1 = require("../../core/index.js");
const index_js_2 = require("../../feature-libraries/index.js");
const leafDomain_js_1 = require("../leafDomain.js");
const builder = new index_js_2.SchemaBuilderInternal({
    scope: "com.fluidframework.json",
    libraries: [leafDomain_js_1.leaf.library],
});
const jsonPrimitives = [...leafDomain_js_1.leaf.primitives, leafDomain_js_1.leaf.null];
/**
 * Types allowed as roots of Json content.
 */
exports.jsonRoot = [() => exports.jsonObject, () => exports.jsonArray, ...jsonPrimitives];
{
}
exports.jsonObject = builder.mapRecursive("object", index_js_2.FlexFieldSchema.createUnsafe(index_js_2.FieldKinds.optional, exports.jsonRoot));
exports.jsonArray = builder.objectRecursive("array", {
    [index_js_1.EmptyKey]: index_js_2.FlexFieldSchema.createUnsafe(index_js_2.FieldKinds.sequence, exports.jsonRoot),
});
exports.jsonSchema = builder.intoLibrary();
//# sourceMappingURL=jsonDomainSchema.js.map