/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
// Adding this unused import makes the generated d.ts file produced by TypeScript stop breaking API-Extractor's rollup generation.
// Without this import, TypeScript generates inline `import("../..")` statements in the d.ts file,
// which API-Extractor leaves as is when generating the rollup, leaving them pointing at the wrong directory.
// API-Extractor issue: https://github.com/microsoft/rushstack/issues/4507
// eslint-disable-next-line @typescript-eslint/no-unused-vars, unused-imports/no-unused-imports
import { EmptyKey } from "../../core/index.js";
import { FieldKinds, FlexFieldSchema, SchemaBuilderInternal, } from "../../feature-libraries/index.js";
import { leaf } from "../leafDomain.js";
const builder = new SchemaBuilderInternal({
    scope: "com.fluidframework.json",
    libraries: [leaf.library],
});
const jsonPrimitives = [...leaf.primitives, leaf.null];
/**
 * Types allowed as roots of Json content.
 */
export const jsonRoot = [() => jsonObject, () => jsonArray, ...jsonPrimitives];
{
}
export const jsonObject = builder.mapRecursive("object", FlexFieldSchema.createUnsafe(FieldKinds.optional, jsonRoot));
export const jsonArray = builder.objectRecursive("array", {
    [EmptyKey]: FlexFieldSchema.createUnsafe(FieldKinds.sequence, jsonRoot),
});
export const jsonSchema = builder.intoLibrary();
//# sourceMappingURL=jsonDomainSchema.js.map